<template>
  <div class="footer">
    <div class="container">
      <div class="row">
        <div class="columns four">
          <svg class="webbankir-logotype" viewBox="0 0 165 32">
            <use xlink:href="#webbankir-logotype"/>
          </svg>
          <p>Свидетельство о внесении сведений о юридическом лице в государственный реестр микрофинансовых организаций
            за регистрационным номером 2120177002077</p>
          <div class="empty-15px-block"></div>
          <div class="mobile-app">
            <span class="header-block ten-margin">Мобильное приложение</span>
            <div class="links-to-apps">
              <a class="link-to-app"
                 href="https://itunes.apple.com/ru/app/webbankir/id751313895?l=ru&amp;ls=1&amp;mt=8"
                 onclick="WbEvent.send('USER_CLICK_APP_STORE');"
                 target="_blank"
              >
                <svg class="link-to-app__svg" viewBox="0 0 130 42">
                  <use xlink:href="#app-store-button"/>
                </svg>
              </a>
              <a class="link-to-app"
                 href="https://play.google.com/store/apps/details?id=com.webbankir&amp;hl=ru"
                 onclick="WbEvent.send('USER_CLICK_GOOGLE_PLAY');"
                 target="_blank"
              >
                <svg class="link-to-app__svg" viewBox="0 0 130 42">
                  <use xlink:href="#google-play-button"/>
                </svg>
              </a>
            </div>
          </div>
          <span class="header-block ten-margin support" v-show="!$interface.isMobile">Поддержка клиента</span>

          <div class="row social-icons-row" v-show="!$interface.isMobile">
            <ul class="sc-icons">
              <li>
                <a class="link-to-social" href="https://vk.com/webbankir" target="_blank">
                  <svg viewBox="0 0 28 28">
                    <use xlink:href="#social-vk"/>
                  </svg>
                </a>
              </li>
              <li>
                <a class="link-to-social" href="https://ok.ru/webbankir" target="_blank">
                  <svg viewBox="0 0 28 28">
                    <use xlink:href="#social-ok"/>
                  </svg>
                </a>
              </li>
              <li>
                <a class="link-to-social" href="https://www.facebook.com/Webbankir" target="_blank">
                  <svg viewBox="0 0 28 28">
                    <use xlink:href="#social-fb"/>
                  </svg>
                </a>
              </li>
              <li>
                <a class="link-to-social" href="https://twitter.com/webbankir" target="_blank">
                  <svg viewBox="0 0 28 28">
                    <use xlink:href="#social-twitter"/>
                  </svg>
                </a>
              </li>
              <li>
                <a class="link-to-social" href="https://www.youtube.com/channel/UCc2JSo9lYedL6Q4x72lrzKg/feed" target="_blank">
                  <svg viewBox="0 0 28 28">
                    <use xlink:href="#social-youtube"/>
                  </svg>
                </a>
              </li>
              <li>
                <a class="link-to-social" href="https://www.instagram.com/webbankir/" target="_blank">
                  <svg viewBox="0 0 28 28">
                    <use xlink:href="#social-inst"/>
                  </svg>
                </a>
              </li>
            </ul>
          </div>
          <div class="empty-15px-block"></div>
        </div>
        <div class="columns eight" v-show="!$interface.isMobile">
          <div class="row">
            <div class="columns three fast-menu">
              <span class="header-block" @click="toggleMenu('fastGo')">Быстрый переход</span>
              <ul id="fastGo">
                <li><a href="https://webbankir.com/faq">Частые вопросы</a></li>
                <li><a href="https://webbankir.com/get">Как взять займ</a></li>
                <li><a href="https://webbankir.com/repay">Как оплатить займ</a></li>
                <li><a href="https://webbankir.com/otzyvy">Отзывы</a></li>
                <li><a href="https://webbankir.com/advice">Советы и преимущества</a></li>
                <li><a href="https://webbankir.com/press">Пресса о Webbankir</a></li>
                <li><a href="https://webbankir.com/partners">Наши партнёры</a></li>
                <li><a href="https://webbankir.com/job">Карьера</a></li>
                <li><a href="https://webbankir.com/credrate">Кредитный рейтинг</a></li>
                <li><a href="https://webbankir.com/sitemap">Карта сайта</a></li>
              </ul>
              <div class="hide" @click="toggleMenu('fastGo')"></div>
              <div class="show" @click="toggleMenu('fastGo')"></div>
            </div>
            <div class="columns five fast-menu">
              <span class="header-block" @click="toggleMenu('politic')">Политика компании</span>
              <ul id="politic">
                <li><a href="https://static.webbankir.com/public/docs/inforecipients.pdf?_ga=2.11884977.465672898.1535961493-1155269878.1533631973" target="_blank">Получателю финансовой
                  услуги</a></li>
                <li><a href="https://static.webbankir.com/public/docs/rules.pdf" target="_blank">Информация об условиях микрозаймов</a></li>
                <li><a href="https://static.webbankir.com/public/docs/rules_pos.pdf?_ga=2.74420759.465672898.1535961493-1155269878.1533631973" target="_blank">Информация об условиях pos-микрозаймов</a></li>
                <li><a href="https://static.webbankir.com/public/docs/regulations.pdf?_ga=2.250460675.465672898.1535961493-1155269878.1533631973" target="_blank">Правила
                  предоставления микрозаймов</a></li>
                <li><a href="https://static.webbankir.com/public/docs/regulations_pos.pdf?_ga=2.74420759.465672898.1535961493-1155269878.1533631973" target="_blank">Правила
                  предоставления pos-микрозаймов</a></li>
                <li><a href="https://static.webbankir.com/public/docs/privacy_policy.pdf" target="_blank">Политика о персональных
                  данных</a></li>
                <li><a href="https://static.webbankir.com/public/docs/standart_mfo.pdf?_ga=2.222681243.1434919538.1535356459-1155269878.1533631973" target="_blank">Базовый стандарт защиты прав и
                  интересов получателей финансовых услуг</a></li>
                <li><a href="https://static.webbankir.com/public/docs/broshura_mfo_cb.pdf?_ga=2.151892153.1434919538.1535356459-1155269878.1533631973" target="_blank">Информационная брошюра</a>
                </li>
              </ul>
              <div class="hide" @click="toggleMenu('politic')"></div>
              <div class="show" @click="toggleMenu('politic')"></div>
            </div>
            <div class="columns four fast-menu">
              <span class="header-block" @click="toggleMenu('info')">Информация о компании</span>
              <ul id="info">
                <li><a href="https://webbankir.com/about">О компании</a></li>
                <li><a href="https://webbankir.com/news">Новости</a></li>
                <li><a href="https://webbankir.com/awards">Награды</a></li>
                <li><a href="https://webbankir.com/investor">Инвесторам</a></li>
                <li><a href="https://webbankir.com/partner">Партнерская программа</a></li>
                <li><a href="https://webbankir.com/certificates">Свидетельства</a></li>
                <li><a href="https://webbankir.com/documents">Документы</a></li>
                <li>
                  <a href="https://static.webbankir.com/public/docs/InformationPersons.pdf?_ga=2.250460675.465672898.1535961493-1155269878.1533631973" target="_blank" rel="noopener noreferrer nofollow">
                    Раскрытие информации
                  </a>
                </li>
              </ul>
              <div class="hide" @click="toggleMenu('info')"></div>
              <div class="show" @click="toggleMenu('info')"></div>
            </div>
          </div>
        </div>
      </div>
      <div class="row" v-show="!$interface.isMobile">
        <!--<div class="columns four">
          <div class="mobile-app">
            <span class="header-block ten-margin">Мобильное приложение</span>
            <a href="https://itunes.apple.com/ru/app/webbankir/id751313895?l=ru&amp;ls=1&amp;mt=8"
               onclick="WbEvent.send('USER_CLICK_APP_STORE');" target="_blank"><img src="/lk/static/img/foot/goo.png"
                                                                                    alt="" class="a-image goo"></a>
            <a href="https://play.google.com/store/apps/details?id=com.webbankir&amp;hl=ru"
               onclick="WbEvent.send('USER_CLICK_GOOGLE_PLAY');" target="_blank"><img src="/lk/static/img/foot/app.png"
                                                                                      alt="" class="a-image"></a>
          </div>
        </div>-->
        <div class="columns six">
          <span class="header-block ten-margin">Контакты</span>
          <p>
            Общие вопросы: <a style="text-decoration: underline" class="link-underlined" href="mailto:info@webbankir.com">info@webbankir.com</a><br>
            Пресс-служба: <a style="text-decoration: underline" class="link-underlined" href="mailto:press@webbankir.com">press@webbankir.com</a><br>
            125466, г. Москва, ул. Соколово-Мещерская, д. 29
          </p>
        </div>
        <div class="columns six">
          <h3 style="margin-bottom: 10px;">Займы на карту</h3>
          <city-slider :items="citiesArrayForSlider"></city-slider>
          <h3 style="margin-bottom: 10px;">Советы и преимущества</h3>
          <advices-slider :items="advicesArrayForSlider"></advices-slider>

          <div class="sro-mir">
          <a class="sro-mir__link" href="http://www.npmir.ru/about/sro-mir/members_sro.php" target="_blank">
            <svg class="mir-logotype" viewBox="0 0 95 31">
              <use xlink:href="#mir-logotype"/>
            </svg>
            Участник СРО «МиР» с 2015 года
          </a>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="columns four">
          <hr>
          <p>ООО МФК «ВЭББАНКИР» © 2012–{{$dayjs().format('YYYY')}}</p>
        </div>
        <div class="columns eight"></div>
      </div>
    </div>
  </div>
</template>

<script>
  import CitySlider from './CitySlider'
  import AdvicesSlider from './AdvicesSlider'
  import {citiesArrayForSlider} from './cities'
  import {advicesArrayForSlider} from './advices'
  import {CLOSE_NOTIFICATIONS} from '@/store/mutation-types'

  export default {
    name: 'Footer',
    components: {
      CitySlider,
      AdvicesSlider
    },
    data () {
      return {
        citiesArrayForSlider,
        advicesArrayForSlider
      }
    },
    mounted () {

    },
    methods: {
      toggleMenu (id) {
        ['fastGo', 'politic', 'info'].forEach((menuId) => {
          const menu = document.querySelector(`#${menuId}`)
          if (menuId === id && !menu.classList.contains('display-fast-menu')) {
            menu.classList.add('display-fast-menu')
            menu.closest('.columns').querySelector('.hide').classList.add('visible')
            menu.closest('.columns').querySelector('.show').classList.add('hidden')
            // menu.closest('.columns').querySelector('span').scrollIntoView(true)
          } else {
            menu.classList.remove('display-fast-menu')
            menu.closest('.columns').querySelector('.hide').classList.remove('visible')
            menu.closest('.columns').querySelector('.show').classList.remove('hidden')
          }
        })
      }
    }
  }
</script>

<style lang="scss" scoped>
  .webbankir-logotype {
    width: 232px;
    height: 44px;
    color: #fff;
    margin-bottom: 6px;
  }

  .links-to-apps {
    display: flex;
    flex-wrap: wrap;
  }

  .link-to-app {
    display: inline-flex;
    margin-top: 15px;
    &:first-child {
      margin-right: 15px;
    }
  }

  .link-to-app__svg {
    height: 43px;
    max-width: 117px;
  }

  .link-to-social {
    width: 28px;
    height: 28px;
    display: flex;
    > svg {
      width: 100%;
      height: 100%;
      color: #fff;
    }
  }

  .sro-mir {

  }

  .sro-mir__link {
    display: flex;
    align-items: flex-end;
  }

  .mir-logotype {
    width: 102px;
    height: 34px;
    margin-right: 15px;
  }
</style>
